Package Details: postgresql-12 12.11-1

Git Clone URL: https://aur.archlinux.org/postgresql-12.git (read-only, click to copy)
Package Base: postgresql-12
Description: Libraries for use with PostgreSQL
Upstream URL: https://www.postgresql.org/
Licenses: custom:PostgreSQL
Conflicts: postgresql
Provides: postgresql
Submitter: DuBistKomisch
Maintainer: DuBistKomisch (Malstrond)
Last Packager: DuBistKomisch
Votes: 2
Popularity: 0.000456
First Submitted: 2021-01-12 03:45 (UTC)
Last Updated: 2022-06-12 00:54 (UTC)

Required by (326)

Sources (10)

Latest Comments

DuBistKomisch commented on 2022-06-12 00:56 (UTC)

Thanks @hugleo, I've added the patch for now. I personally set !check in /etc/makepkg.conf since I've never seen a meaningful test failure.

hugleo commented on 2022-06-11 14:25 (UTC)

This commit should work: https://github.com/postgres/postgres/commit/c08538734522f27646dd5fe68d61e16a59477f6e

hugleo commented on 2022-06-11 13:58 (UTC)

1 of 12 tests failed.

The differences that caused some tests to fail can be viewed in the file "/home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/regression.diffs". A copy of the test summary that you see above is saved in the file "/home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/regression.out".

make[2]: [GNUmakefile:117: check] Error 1 make[2]: Leaving directory '/home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl' make[1]: [Makefile:35: check-plperl-recurse] Error 2 make[1]: Leaving directory '/home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl' make: *** [GNUmakefile:81: check-world-src/pl-recurse] Error 2 ==> ERROR: make check-world failure: ./src/pl/plperl/regression.diffs diff -U3 /home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/expected/plperl.out /home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/results/plperl.out --- /home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/expected/plperl.out 2022-05-09 18:18:31.000000000 +++ /home/user/.cache/yay/postgresql-12/src/postgresql-12.11/src/pl/plperl/results/plperl.out 2022-06-11 10:55:50.623431256 @@ -726,8 +726,6 @@ -- check that we can "use warnings" (in this case to turn a warn into an error) -- yields "ERROR: Useless use of sort in scalar context." DO $do$ use warnings FATAL => qw(void) ; my @y; my $x = sort @y; 1; $do$ LANGUAGE plperl; -ERROR: Useless use of sort in scalar context at line 1. -CONTEXT: PL/Perl anonymous code block -- make sure functions marked as VOID without an explicit return work CREATE OR REPLACE FUNCTION myfuncs() RETURNS void AS $$ $_SHARED{myquote} = sub { ==> ERROR: A failure occurred in check(). Aborting... -> error making: postgresql-12 (postgresql-libs-12 postgresql-12)

MartinX3 commented on 2022-05-04 12:57 (UTC)

I can't find the tool vacuumlo in this package.

ChugunovRoman commented on 2022-05-04 10:41 (UTC) (edited on 2022-05-04 10:43 (UTC) by ChugunovRoman)

postgres cannot start after system update:

/usr/bin/postgres: error while loading shared libraries: libicuuc.so.70: cannot open shared object file: No such file or directory

simlink to libicuuc.so.71 doesn't help, I got:

/usr/bin/postgres: symbol lookup error: /usr/bin/postgres: undefined symbol: uloc_toLanguageTag_70

DuBistKomisch commented on 2021-06-19 11:01 (UTC)

@alfabravoteam you're right, I've updated the depends field to be = instead of >= which should hopefully fix it. This also seems to be the case with the other old postgresql version packages, since we've all just copied the official PKGBUILD.

alfabravoteam commented on 2021-06-18 23:18 (UTC) (edited on 2021-06-18 23:18 (UTC) by alfabravoteam)

If I install this and then check psql, it reports $ psql -V psql (PostgreSQL) 13.3

Seems to be pulling libs from official repo, which is already on PGSQL13.